Commit 973d1aaa authored by Josselin Mouette's avatar Josselin Mouette

* Build-depend on gtk-doc-tools.

* Pass --enable-gtk-doc to configure and install the docs.
parent dc2ae5a3
...@@ -30,6 +30,8 @@ gucharmap (1:2.24.2-1) experimental; urgency=low ...@@ -30,6 +30,8 @@ gucharmap (1:2.24.2-1) experimental; urgency=low
[ Josselin Mouette ] [ Josselin Mouette ]
* libgucharmap2-dev conflicts and replaces libgucharmap-dev. * libgucharmap2-dev conflicts and replaces libgucharmap-dev.
* Remove a reference to libgucharmap6. * Remove a reference to libgucharmap6.
* Build-depend on gtk-doc-tools.
* Pass --enable-gtk-doc to configure and install the docs.
-- Josselin Mouette <joss@debian.org> Fri, 26 Dec 2008 20:17:30 +0100 -- Josselin Mouette <joss@debian.org> Fri, 26 Dec 2008 20:17:30 +0100
......
...@@ -2,7 +2,7 @@ Source: gucharmap ...@@ -2,7 +2,7 @@ Source: gucharmap
Section: x11 Section: x11
Priority: optional Priority: optional
Maintainer: Sebastien Bacher <seb128@debian.org> Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@ubuntu.com>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org> Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Josselin Mouette <joss@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs (>= 0.2.6), Build-Depends: cdbs (>= 0.2.6),
debhelper (>= 5), debhelper (>= 5),
libgtk2.0-dev (>= 2.13.6), libgtk2.0-dev (>= 2.13.6),
...@@ -12,6 +12,7 @@ Build-Depends: cdbs (>= 0.2.6), ...@@ -12,6 +12,7 @@ Build-Depends: cdbs (>= 0.2.6),
gnome-pkg-tools, gnome-pkg-tools,
scrollkeeper, scrollkeeper,
gnome-doc-utils (>= 0.9.0), gnome-doc-utils (>= 0.9.0),
gtk-doc-tools (>= 1.0),
intltool (>= 0.40), intltool (>= 0.40),
gconf2 gconf2
Standards-Version: 3.8.0 Standards-Version: 3.8.0
......
...@@ -12,6 +12,7 @@ Build-Depends: cdbs (>= 0.2.6), ...@@ -12,6 +12,7 @@ Build-Depends: cdbs (>= 0.2.6),
gnome-pkg-tools, gnome-pkg-tools,
scrollkeeper, scrollkeeper,
gnome-doc-utils (>= 0.9.0), gnome-doc-utils (>= 0.9.0),
gtk-doc-tools (>= 1.0),
intltool (>= 0.40), intltool (>= 0.40),
gconf2 gconf2
Standards-Version: 3.8.0 Standards-Version: 3.8.0
......
debian/tmp/usr/bin/* debian/tmp/usr/bin/*
debian/tmp/usr/share/* debian/tmp/usr/share/applications
debian/tmp/usr/share/gnome
debian/tmp/usr/share/locale
debian/tmp/usr/share/omf
debian/tmp/etc/gconf/schemas/gucharmap.schemas debian/tmp/etc/gconf/schemas/gucharmap.schemas
debian/tmp/usr/include/gucharmap-2/ debian/tmp/usr/include/gucharmap-2/
debian/tmp/usr/lib/libgucharmap*.so debian/tmp/usr/lib/libgucharmap*.so
debian/tmp/usr/lib/pkgconfig/ debian/tmp/usr/lib/pkgconfig/
debian/tmp/usr/share/gtk-doc
...@@ -18,7 +18,7 @@ clean:: ...@@ -18,7 +18,7 @@ clean::
rm -f intltool-extract intltool-merge intltool-update rm -f intltool-extract intltool-merge intltool-update
rm -f po/.intltool-merge-cache rm -f po/.intltool-merge-cache
DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper DEB_CONFIGURE_EXTRA_FLAGS += --disable-scrollkeeper --enable-gtk-doc
LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment